陈德馨

WDCP 3.2 PHP多版本管理共存的安装方法及错误解决方法

887人参与 |分类: 运维时间|时间:2017年07月02日 10:40

自wdcp v3.2版本开始,wdcp就开始支持多PHP版本共存共用和切换,可根据需求灵活选择和使用从v3.0/3.1升级的用户,还需要再安装下多版本的PHP环境,才可完全正常使用和切换。

官方教程安装方法如下:

wget http://down.wdlinux.cn/in/phps.sh

sh phps.sh 版本号

(共支持7个版本的PHP,如5.2.17/5.3.29/5.4.45/5.5.38/5.6.30/7.0.18/7.1.4)

我是从v2.x升级到v3.2的,安装官方的教程出错。提示图片如下:

573.png

出现这个错误,可参考官方给出的解决办法,执行以下命令

yum install -y icu libicu libicu-devel

再出错,代码大致如下:

Loaded plugins: fastestmirror 

Setting up Install Process 

Loading mirror speeds from cached hostfile 

Could not retrieve mirrorlist http://apt.sw.be/redhat/el6/en/mirrors-rpmforge error was 

14: PYCURL ERROR 6 - "Couldn't resolve host 'apt.sw.be'" 

出现上面代码修改文件/etc/yum.repos.d/rpmforge.repo把其中的

mirrorlist = http://apt.sw.be/redhat/el6/en/mirrors-rpmforge

改为

mirrorlist = http://mirrorlist.repoforge.org/el6/mirrors-rpmforge

然后再来执行 sh phps.sh 版本号

注意:请做好备份在来测试,可能每个人遇到的问题不一样,我按以上操作安装好了,如果还有问题,请到官方论坛提问。

来源:陈德馨博客(微信/QQ号:35435164),转载请保留出处和链接!

地址:

必填

选填

选填

◎已有 0 人评论,请发表您的观点。